MyGUI::delegates::Delegate< Args > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::Delegate< Args >:
[legend]

## Public Types

using | IDelegate = DelegateFunction<Args...>

## Public Member Functions

bool | empty () const
void | clear ()
Delegate & | operator= (IDelegate *_delegate)
void | operator() (Args... args) const

## Detailed Description

template<typename... Args>
class MyGUI::delegates::Delegate< Args >

Definition at line 157 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## IDelegate

template<typename... Args>

using MyGUI::delegates::Delegate< Args >::IDelegate = DelegateFunction<Args...>

Definition at line 160 of file MyGUI_Delegate.h.

## Member Function Documentation

## clear()

template<typename... Args>

void MyGUI::delegates::Delegate< Args >::clear | ( |  | ) |

inline

Definition at line 167 of file MyGUI_Delegate.h.

## empty()

template<typename... Args>

bool MyGUI::delegates::Delegate< Args >::empty | ( |  | ) | const

inline

Definition at line 162 of file MyGUI_Delegate.h.

## operator()()

template<typename... Args>

void MyGUI::delegates::Delegate< Args >::operator() | ( | Args... | args | ) | const

inline

Definition at line 178 of file MyGUI_Delegate.h.

## operator=()

template<typename... Args>

Delegate & MyGUI::delegates::Delegate< Args >::operator= | ( | IDelegate< Args > * | _delegate | ) |

inline

Definition at line 172 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h